#
# spec file for package ell
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 0~1278

Name:           ell
%define lname   libell0
Summary:        Wireless setup and cryptography library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Version:        0~1278
Release:        0

#Git-Clone:	git://git.kernel.org/pub/scm/libs/ell/ell.git
Source:         ell-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libtool >= 2.2
BuildRequires:  pkg-config
BuildRequires:  xz

%description
The "Embedded Linux Library" implements an API for wireless
cryptography actions by using the kernel crypto API.

%package -n %lname
Summary:        Wireless setup and cryptography library
Group:          System/Libraries

%description -n %lname
The "Embedded Linux Library" implements an API for wireless
cryptography actions by using the kernel crypto API.

%package devel
Summary:        Development files for the ELL wireless setup/crypto library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
The "Embedded Linux Library" implements an API for wireless
cryptography actions by using the kernel crypto API.

This subpackage contains libraries and header files for developing
applications that want to make use of ell.

%prep
%setup -q

%build
./bootstrap
%configure
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%check
make check || :

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libell.so.0*

%files devel
%defattr(-,root,root)
%_libdir/libell.so
%_libdir/pkgconfig/*.pc
%_includedir/ell/

%changelog
